diff --git a/src/Lunr/Gravity/Database/SQLite3/SQLite3QueryResult.php b/src/Lunr/Gravity/Database/SQLite3/SQLite3QueryResult.php
index 5192fe66a0cfe0f6f9bac5cf0b3fd689f5469de8..b6212633870cf6a507d41afae6cd354a284a1885 100644
--- a/src/Lunr/Gravity/Database/SQLite3/SQLite3QueryResult.php
+++ b/src/Lunr/Gravity/Database/SQLite3/SQLite3QueryResult.php
@@ -5,8 +5,8 @@
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
@@ -152,7 +152,7 @@ class SQLite3QueryResult implements DatabaseQueryResultInterface
      */
     public function has_deadlock()
     {
-        return ($this->error_number == self::DEADLOCK_ERR_CODE) ? TRUE : FALSE;
+        return ($this->error_number == self::DEADLOCK_ERR_CODE);
     }
 
     /**
@@ -217,14 +217,20 @@ class SQLite3QueryResult implements DatabaseQueryResultInterface
     }
 
     /**
-     * Returns the number of rows in the query.This method is not
-     * supported in SQLite3.
+     * Returns the number of rows in the query. 
      *
-     * @return Integer $number Negative number indicating that the method is not supported.
+     * @return Integer $number Number of rows in the result set. 
      */
     public function number_of_rows()
     {
-        return -1;
+        $count = 0;
+
+        while ($this->result->fetchArray(SQLITE3_ASSOC))
+        {
+            $count++;
+        }
+
+        return $count;
     }
 
     /**
@@ -234,7 +240,7 @@ class SQLite3QueryResult implements DatabaseQueryResultInterface
      */
     public function result_array()
     {
-        $output = array();
+        $output = [];
 
         if (!is_object($this->result))
         {
@@ -258,7 +264,7 @@ class SQLite3QueryResult implements DatabaseQueryResultInterface
      */
     public function result_row()
     {
-        $output = is_object($this->result) ? $this->result->fetchArray(SQLITE3_ASSOC) : array();
+        $output = is_object($this->result) ? $this->result->fetchArray(SQLITE3_ASSOC) : [];
 
         $this->free_result();
 
@@ -274,7 +280,7 @@ class SQLite3QueryResult implements DatabaseQueryResultInterface
      */
     public function result_column($column)
     {
-        $output = array();
+        $output = [];
 
         if (!is_object($this->result))
         {
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultBaseTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultBaseTest.php
index 581174dd7b8d04b465a4c78c3bf347b86c52a32e..062de6917c213b995e8689bd68c3d419f0407d5b 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultBaseTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultBaseTest.php
@@ -5,8 +5,8 @@
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
@@ -31,6 +31,8 @@ class SQLite3QueryResultBaseTest extends SQLite3QueryResultTest
 
     /**
      * Test that error message is empty on successful query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::error_message
      */
     public function testErrorMessageIsEmpty()
     {
@@ -40,6 +42,8 @@ class SQLite3QueryResultBaseTest extends SQLite3QueryResultTest
 
     /**
      * Test that error number is zero on successful query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::error_number
      */
     public function testErrorNumberIsZero()
     {
@@ -49,6 +53,8 @@ class SQLite3QueryResultBaseTest extends SQLite3QueryResultTest
 
     /**
      * Test that error number is zero on successful query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::insert_id
      */
     public function testInsertIDIsZero()
     {
@@ -58,6 +64,8 @@ class SQLite3QueryResultBaseTest extends SQLite3QueryResultTest
 
     /**
      * Test that affected rows is a number on successful query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::affected_rows
      */
     public function testAffectedRowsIsNumber()
     {
@@ -67,6 +75,8 @@ class SQLite3QueryResultBaseTest extends SQLite3QueryResultTest
 
     /**
      * Test that the query is passed correctly on successful query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::query
      */
     public function testQueryIsPassedCorrectly()
     {
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFailedTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFailedTest.php
index 6c8d25365967f3d30a06ca68a79ca00087f90a5a..7d3683527a4693a7cbfac6799d4d6fd662b4bc5d 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFailedTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFailedTest.php
@@ -5,8 +5,8 @@
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
@@ -71,6 +71,8 @@ class SQLite3QueryResultFailedTest extends SQLite3QueryResultTest
 
     /**
      * Test that error message is a string on failed query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::error_message
      */
     public function testErrorMessageIsString()
     {
@@ -81,6 +83,8 @@ class SQLite3QueryResultFailedTest extends SQLite3QueryResultTest
 
     /**
      * Test that error number is a number on a failed query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::error_number
      */
     public function testErrorNumberIsNumber()
     {
@@ -91,6 +95,8 @@ class SQLite3QueryResultFailedTest extends SQLite3QueryResultTest
 
     /**
      * Test that error number is zero on successful query.
+     *
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::insert_id
      */
     public function testInsertIDIsZero()
     {
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFreeTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFreeTest.php
index e2cc116f3ee61045ec6e245ccf6c0d3dddff27bc..f9c4aa4e4cb23fcb902f844ae0294ca40ad16793 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFreeTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultFreeTest.php
@@ -5,8 +5,8 @@
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultNoResultTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultNoResultTest.php
index 71f978a5b7ddd751b32c6a81641c2655bf3ae31d..022331a2bdc5cf62b1797a94f428bfa6c2e1ea4b 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultNoResultTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultNoResultTest.php
@@ -5,8 +5,8 @@
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
@@ -50,7 +50,7 @@ class SQLite3QueryResultNoResultTest extends SQLite3QueryResultTest
     }
 
     /**
-     * Test that the freed flag is TRUE.
+     * Test that the freed flag is TRUE.d
      */
     public function testFreedIsTrue()
     {
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultResultTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultResultTest.php
index 6dcbcca0f876737c1a7522f7aa6204bc7bfd44ba..f327440a99502cfdf1798db4f2d83d71c52b71ab 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultResultTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultResultTest.php
@@ -1,12 +1,12 @@
 <?php
 
 /**
- * Contains SQLite3QueryResultResultTest class..
+ * Contains SQLite3QueryResultResultTest class.
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
@@ -50,7 +50,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that the has_failed() method returns FALSE.
      *
-     * @covers   Lunr\Gravity\Database\MySQL\MySQLQueryResult::has_failed
+     * @covers Lunr\Gravity\Database\MySQL\MySQLQueryResult::has_failed
      */
     public function testHasFailedReturnsFalse()
     {
@@ -60,7 +60,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that affected_rows() returns a number.
      *
-     * @covers   Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::affected_rows
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::affected_rows
      */
     public function testAffectedRowsReturnsNumber()
     {
@@ -71,7 +71,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that result_row() returns an one-dimensional array.
      *
-     * @covers   Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_row
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_row
      */
     public function testResultRowReturnsArray()
     {
@@ -90,7 +90,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that result_array() returns an multidimensional array.
      *
-     * @covers   Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_array
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_array
      */
     public function testResultArrayReturnsArray()
     {
@@ -115,7 +115,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that result_column() returns an one-dimensional array.
      *
-     * @covers   Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_column
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_column
      */
     public function testResultColumnReturnsArray()
     {
@@ -140,7 +140,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that result_cell() returns value.
      *
-     * @covers   Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_cell
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_cell
      */
     public function testResultCellReturnsValue()
     {
@@ -154,7 +154,7 @@ class SQLite3QueryResultResultTest extends SQLite3QueryResultTest
     /**
      * Test that result_cell() returns NULL if the column does not exist.
      *
-     * @covers   Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_cell
+     * @covers Lunr\Gravity\Database\SQLite3\SQLite3QueryResult::result_cell
      */
     public function testResultCellReturnsNullIfColumnDoesNotExist()
     {
diff --git a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultTest.php b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultTest.php
index 6e971ed00fe1984b66dacb0149ca1d394ecc04df..8d1d9de5de81611fbad622d4430864c3139e813c 100644
--- a/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultTest.php
+++ b/src/Lunr/Gravity/Database/SQLite3/Tests/SQLite3QueryResultTest.php
@@ -5,8 +5,8 @@
  *
  * PHP Version 5.6
  *
- * @package    Lunr\Gravity\Database\SQLite3\Tests
- * @author     Ruben de Groot
+ * @package    Lunr\Gravity\Database\SQLite3
+ * @author     Ruben de Groot <r.degroot@m2mobi.com>
  * @copyright  2012-2016, M2Mobi BV, Amsterdam, The Netherlands
  * @license    http://lunr.nl/LICENSE MIT License
  */
